services:
  appflowy-cloud-appflowy_cloud-1:
    command:
    - appflowy_cloud
    container_name: appflowy-cloud-appflowy_cloud-1
    environment:
      AI_OPENAI_API_KEY: '***SENSITIVE***'
      AI_SERVER_HOST: ai
      AI_SERVER_PORT: '5001'
      APPFLOWY_ACCESS_CONTROL: 'true'
      APPFLOWY_BASE_URL: https://appflowy-server.pressmess.duckdns.org
      APPFLOWY_DATABASE_MAX_CONNECTIONS: '40'
      APPFLOWY_DATABASE_URL: postgres://postgres:password@postgres:5432/postgres
      APPFLOWY_ENVIRONMENT: production
      APPFLOWY_GOTRUE_BASE_URL: http://gotrue:9999
      APPFLOWY_GOTRUE_JWT_EXP: '2592000'
      APPFLOWY_GOTRUE_JWT_SECRET: '***SENSITIVE_VALUE*** (hell...)'
      APPFLOWY_MAILER_SMTP_EMAIL: email_sender@some_company.com
      APPFLOWY_MAILER_SMTP_HOST: smtp.gmail.com
      APPFLOWY_MAILER_SMTP_PASSWORD: '***SENSITIVE_VALUE*** (emai...)'
      APPFLOWY_MAILER_SMTP_PORT: '465'
      APPFLOWY_MAILER_SMTP_TLS_KIND: wrapper
      APPFLOWY_MAILER_SMTP_USERNAME: email_sender@some_company.com
      APPFLOWY_REDIS_URI: redis://redis:6379
      APPFLOWY_S3_ACCESS_KEY: '***SENSITIVE_VALUE*** (mini...)'
      APPFLOWY_S3_BUCKET: appflowy
      APPFLOWY_S3_CREATE_BUCKET: 'true'
      APPFLOWY_S3_MINIO_URL: http://minio:9000
      APPFLOWY_S3_PRESIGNED_URL_ENDPOINT: ''
      APPFLOWY_S3_REGION: ''
      APPFLOWY_S3_SECRET_KEY: '***SENSITIVE_VALUE*** (mini...)'
      APPFLOWY_S3_USE_MINIO: 'true'
      APPFLOWY_WEB_URL: https://appflowy-server.pressmess.duckdns.org
      APP_ENVIRONMENT: production
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PORT: '8000'
      RUST_BACKTRACE: '1'
      RUST_LOG: info
    image: appflowyinc/appflowy_cloud:latest
    restart: on-failure
    working_dir: /app
